## gcc-4.6 4.6.4

=== gcc/testsuite/go.test/test/garbage/Makefile ===
# Copyright 2010 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../src/Make.inc

ALL=\
	parser\
	peano\
	tree\

all: $(addsuffix .out, $(ALL))

%.$O: %.go
	$(GC) $*.go

%.out: %.$O
	$(LD) -o $@ $*.$O

%.bench: %.out
	./$*.out

bench: $(addsuffix .bench, $(ALL))

clean:
	rm -f *.[$(OS)] $(addsuffix .out, $(ALL))

## gcc-4.6 4.6.1-maemo2

=== debian/changelog ===
gcc-4.6 (4.6.1-maemo2) unstable; urgency=low
	
  * Packaging issues

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 29 Sep 2011 12:25:31 +0020

gcc-4.6 (4.6.1-maemo1) unstable; urgency=low
	
  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 27 Sep 2011 10:32:31 +0020

=== debian/control ===
Source: gcc-4.6
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: dpkg-dev (>= 1.14.15), debhelper (>= 5), libc6-dev (>= 2.5),  m4, libtool, autoconf, automake, zlib1g-dev, gawk, lzma, xz-utils, patchutils, binutils (>= 2.18),
 gperf (>= 3.0.1), bison-2.4, flex, gettext, texinfo (>= 4.3), libmpfr-dev (>= 2.3.0), locales [!m68k !knetbsd-i386 !knetbsd-alpha], procps, sharutils,
 libcloog-ppl-dev (>= 0.15), dejagnu [!m68k !hurd-i386 !hurd-alpha], autogen, realpath (>= 1.9.12), chrpath, lsb-release, make-3.81, libgmp3-dev, libmpc-dev
Build-Depends-Indep: doxygen (>= 1.4.2), 
Standards-Version: 3.7.2
Homepage: http://gcc.gnu.org/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: gcc-4.6
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	touch config.status

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	#manual sayd, it should be compiled on separate child-directory
	#e.g. http://cboard.cprogramming.com/tech-board/106096-build-gnu-gcc-4-3-1-a.html

	mkdir objdir
	cd objdir ;	../gcc-4.6.1/configure --disable-multilib --prefix=/opt/gcc-4.6 --disable-bootstrap --enable-languages=c,c++,fortran
	cd objdir ; make -j 1
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	cd objdir ; $(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	#CURDIR=$1



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gcc-4.6 4.6.1-maemo5

=== debian/changelog ===
gcc-4.6 (4.6.1-maemo5) oneiric; urgency=low

  * Fix PR target/50193 (ARM). ICE on a | (b << negative-constant).
  * Fix PR target/50099 (ARM). ICE in arm mode. LP: #838994.
  * gcc.c (for_each_path): Allocate memory for multiarch suffix.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Sep 2011 13:53:30 +0200

gcc-4.6 (4.6.1-9ubuntu2) oneiric; urgency=low

  * Revert fix for PR middle-end/49886, causing PR middle-end/50295.
    LP: #841825.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Sep 2011 18:08:32 +0200

gcc-4.6 (4.6.1-9ubuntu1) oneiric; urgency=low

  * Merge with Debian. Back-out:
    - For native builds, gcc -print-file-name now resolve . and ..,
      and removes the subminor version number.
  * gfortran updates fix gfortran ICE. LP: #841209.
  * No "ABI" changes from upstream.
  * No Linaro changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Sep 2011 02:21:46 +0200

gcc-4.6 (4.6.1-9) unstable; urgency=low

  * Update to SVN 20110903 (r178501) from the gcc-4_6-branch.
    - Fix PR target/50090, PR middle-end/50116, PR target/50202, PR c/50179,
      PR c++/50157, PR fortran/50163, PR libfortran/50192,
      PR middle-end/49886, PR tree-optimization/50178, PR c++/50207,
      PR c++/50089, PR c++/50220, PR c++/50234, PR c++/50224,
      PR libstdc++/50268.

  [ Matthias Klose ]
  * Fix gcc --print-multilib-osdir for non-biarch architectures.
  * Fix multiarch for non-biarch builds. Closes: #635860.
  * Move the lto plugin to the cpp packge. Closes: #639531.

  [ Thorsten Glaser ]
  * [m68k] Disable multilib. Closes: #639303.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Sep 2011 20:11:50 +0200

gcc-4.6 (4.6.1-8) unstable; urgency=low

  * Update to SVN 20110824 (r178027) from the gcc-4_6-branch.
    Fix PR fortran/49792, PR tree-optimization/48739, PR target/50092,
    PR c++/50086, PR c++/50054, PR fortran/50050, PR fortran/50130,
    PR fortran/50129, PR fortran/49792, PR fortran/50109, PR c++/50024,
    PR c++/46862.

  * Properly disable multilib builds for selected libraries on armel and armhf.
  * Update and re-enable the gcc-ice patch.
  * Update and re-enable the gcc-cloog-dl patch.
  * Fix [ARM] PR target/50090: aliases in libgcc.a with default visibility,
    taken from the trunk.
  * Re-work the multiarch patches.
  * Break older gcj-4.6 and gnat-4.6 versions, changed gcc_lib_dir.
  * Omit the target alias from the go libdir.
  * Linaro updates from the 4.6-2011.07-stable branch.
  * Revert:
    - libjava: Build with the system libffi PIC library.
  * For native builds, gcc -print-file-name now resolve . and ..,
    and removes the subminor version number.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2011 10:22:42 +0200

gcc-4.6 (4.6.1-7ubuntu2) oneiric; urgency=low

  * Update to SVN 20110823 (r177982) from the gcc-4_6-branch.
    Fix PR fortran/49792, PR tree-optimization/48739, PR target/50092,
    PR c++/50086, PR c++/50054, PR fortran/50050, PR fortran/50130,
    PR fortran/50129, PR fortran/49792, PR fortran/50109.

  * Properly disable multilib builds for selected libraries on armel and armhf.
  * Update and re-enable the gcc-ice patch.
  * Update and re-enable the gcc-cloog-dl patch.
  * Fix [ARM] PR target/50090: aliases in libgcc.a with default visibility,
    taken from the trunk. LP: #823711.
  * Re-work the multiarch patches.
  * Break older gcj-4.6 and gnat-4.6 versions, changed gcc_lib_dir.
  * Omit the target alias from the go libdir.
  * Linaro updates from the 4.6-2011.07-stable branch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Aug 2011 09:26:22 +0200

gcc-4.6 (4.6.1-7ubuntu1) oneiric; urgency=low

  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Aug 2011 13:32:16 +0200

gcc-4.6 (4.6.1-7) unstable; urgency=low

  * Update to SVN 20110816 (r177780) from the gcc-4_6-branch.
    - Fix PR middle-end/49923.

  [ Matthias Klose ]
  * gcc-4.6-multilib: Depend on biarch quadmath library. Closes: #637174.
  * Don't hard-code build dependency on gcc-multilib.
  * Build-depends on python when building java.
  * Fix thinko in java::lang::Class::finalize (taken from the trunk).
  * Add support for ARM 64bit sync intrinsics (David Gilbert). Only
    enable for armv7 or better.
  * libjava: Build with the system libffi PIC library.
  * Disable gnat multilib builds on armel and armhf.

  Merge from gnat-4.6 (4.6.1-4) unstable; urgency=low

  [Ludovic Brenta]
  * debian/patches/ada-symbolic-tracebacks.diff
    (src/gcc/ada/gcc-interface/Makefile.in): pass -iquote instead of -I-
    to gnatgcc; fixes FTBFS on i386 and closes: #637418.

  Merge from gnat-4.6 (4.6.1-3) unstable; urgency=low

  [Євгеній Мещеряков]
  * debian/patches/ada-mips.diff: do not use the alternate stack on mips,
    as on mipsel.  Closes: #566234.

  [Ludovic Brenta]
  * debian/patches/pr49940.diff: new; copy the definition of function
    lwp_self from s-osinte-freebsd.ads to s-osinte-kfreebsd-gnu.ads.
    Closes: #636291.
  * debian/patches/pr49944.diff: new.  Closes: #636692.
  * debian/patches/pr49819.diff: drop, merged upstream.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2011 13:11:25 +0200

gcc-4.6 (4.6.1-6ubuntu6) oneiric; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 08:31:18 +0200

gcc-4.6 (4.6.1-6ubuntu5) oneiric; urgency=low

  * gcc-4.6-multilib: Depend on biarch quadmath library. Closes: #637174.
  * Remove the build-dependency on gcc-multilib for this build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 08:09:33 +0200

gcc-4.6 (4.6.1-6ubuntu3) oneiric; urgency=low

  * Update to SVN 20110811 (r177683) from the gcc-4_6-branch.
    - Fix PR middle-end/49923.
  * gcc-4.6-multilib: Depend on biarch quadmath library. Closes: #637174.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Aug 2011 22:43:18 +0200

gcc-4.6 (4.6.1-6ubuntu2) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Aug 2011 18:28:58 +0200



## gcc-4.6 4.6.1-maemo6

=== debian/changelog ===
gcc-4.6 (4.6.1-maemo6) unstable; urgency=low

  * Compile only ARM package (i386 wants build multiarch for 64bit) 

 -- Aapo Rantalainen <aapo.rantalaineno@gmail.com>  Wed, 30 May 2012 08:48:30 +0200

=== debian/control ===
Source: gcc-4.6
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Arthur Loiret <aloiret@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev (>= 1.14.15), debhelper (>= 5.0.62), g++ [armel], , g++ [kfreebsd-amd64 kfreebsd-i386], libc6.1-dev (>= 2.5) [alpha ia64] | libc0.3-dev (>= 2.5) [hurd-i386] | libc0.1-dev (>= 2.5) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.5), libc6-dev-sparc64 [sparc], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 s390x], libc6-dev-mips64 [mips mipsel], libc6-dev-mipsn32 [mips mipsel], m4, libtool, autoconf, automake (>= 1:1.10), automake (<< 1:1.12), libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], zlib1g-dev, gawk, lzma, xz-utils, patchutils, binutils2.22, binutils-hppa64 (>= 2.21.51~) [hppa], gperf (>= 3.0.1), bison-2.4, flex, gettext, texinfo (>= 4.3), locales [!knetbsd-i386 !knetbsd-alpha], procps, sharutils, binutils-spu (>= 2.21.51~) [powerpc ppc64], newlib-spu (>= 1.16.0) [powerpc ppc64], libcloog-ppl-dev (>= 0.15.9-2~), libmpc-dev, libmpfr-dev, libgmp3-dev, libelfg0-dev, dejagnu [!m68k !hurd-i386 !hurd-alpha], autogen, realpath (>= 1.9.12), chrpath, lsb-release, make (>= 3.81) | make-3.81, quilt
Build-Depends-Indep: doxygen (>= 1.5.1), graphviz (>= 2.2), texlive-latex-base, 
Build-Conflicts: binutils-gold
Homepage: http://gcc.gnu.org/
XS-Vcs-Browser: http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-4.6/
XS-Vcs-Svn: svn://svn.debian.org/svn/gcccvs/branches/sid/gcc-4.6

Package: gcc-4.6-base
Architecture: armel
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: gcj-4.6-base (<< 4.6.1-3ubuntu3), gnat-4.6 (<< 4.6.1-4ubuntu3)
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
Architecture: armel
Section: libs
Priority: required
Depends: gcc-4.6-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc1-dbg
Architecture: armel
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), libgcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libgcc2
Architecture: m68k
Section: libs
Priority: required
Depends: gcc-4.6-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc2-dbg
Architecture: m68k
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), libgcc2 (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libgcc4
Architecture: hppa
Section: libs
Priority: required
Depends: gcc-4.6-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc4-dbg
Architecture: hppa
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), libgcc4 (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: lib64gcc1
Architecture: powerpc sparc s390 mips mipsel
Section: libs
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc1-dbg
Architecture: powerpc sparc s390 mips mipsel
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), lib64gcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: lib32gcc1
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: libs
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc1-dbg
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), lib32gcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libn32gcc1
Architecture: mips mipsel
Section: libs
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (n32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libn32gcc1-dbg
Architecture: mips mipsel
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), libn32gcc1 (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: gcc-4.6
Architecture: armel
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), cpp-4.6 (= ${gcc:Version}), binutils2.22, ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, libmudflap-4.6-dev (>= ${gcc:Version}), gcc-4.6-doc (>= ${gcc:SoftVersion}), gcc-4.6-locales (>= ${gcc:SoftVersion}), libgcc1-dbg, libgomp-dbg, libquadmath-dbg, libmudflap-dbg, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: gcc-4.6-multilib
Architecture: amd64 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 s390x sparc
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), gcc-4.6 (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libmudflapbiarch}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-4.6-plugin-dev
Architecture: armel
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), gcc-4.6 (= ${gcc:Version}), libgmp3-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: gcc-4.6-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gcc-3.3-hppa64 (<= 1:3.3.4-5), gcc-3.4-hppa64 (<= 3.4.1-3)
Description: GNU C compiler (cross compiler for hppa64)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: gcc-4.6-spu
Architecture: powerpc ppc64
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), binutils-spu (>= 2.18.1~cvs20080103-3), newlib-spu, ${shlibs:Depends}, ${misc:Depends}
Provides: spu-gcc
Description: SPU cross-compiler (preprocessor and C compiler)
 GNU Compiler Collection for the Cell Broadband Engine SPU (preprocessor
 and C compiler).

Package: g++-4.6-spu
Architecture: powerpc ppc64
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), gcc-4.6-spu (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: spu-g++
Description: SPU cross-compiler (C++ compiler)
 GNU Compiler Collection for the Cell Broadband Engine SPU (C++ compiler).

Package: gfortran-4.6-spu
Architecture: powerpc ppc64
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), gcc-4.6-spu (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: spu-gfortran
Description: SPU cross-compiler (Fortran compiler)
 GNU Compiler Collection for the Cell Broadband Engine SPU (Fortran compiler).

Package: cpp-4.6
Architecture: armel
Section: interpreters
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-4.6-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.

Package: gcc-4.6-locales
Architecture: armel
Section: devel
Priority: optional
Depends: gcc-4.6-base (>= ${gcc:SoftVersion}), cpp-4.6 (>= ${gcc:SoftVersion}), ${misc:Depends}
Recommends: gcc-4.6 (>= ${gcc:SoftVersion})
Description: GCC, the GNU compiler collection (native language support files)
 Native language support for GCC. Lets GCC speak your language,
 if translations are available.
 .
 Please do NOT submit bug reports in other languages than "C".
 Always reset your language settings to use the "C" locales.

Package: g++-4.6
Architecture: armel
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), gcc-4.6 (= ${gcc:Version}), libstdc++-4.6-dev (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-4.6-doc (>= ${gcc:SoftVersion}), libstdc++-4.6-dbg
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.

Package: g++-4.6-multilib
Architecture: amd64 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 s390x sparc
Section: devel
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), g++-4.6 (= ${gcc:Version}), gcc-4.6-multilib (= ${gcc:Version}), ${dep:libcxxbiarch}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: libmudflap
Architecture: armel
Section: libs
Priority: optional
Depends: gcc-4.6-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC mudflap shared support libraries
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: libmudflap-dbg
Architecture: armel
Section: debug
Priority: extra
Depends: gcc-4.6-base (= ${gcc:Version}), libmudflap (= ${gcc:Version}), ${misc:Depends}
Description: GCC mudflap shared support libraries (debug symbols)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib32mudflap
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Section: libs
Priority: optional
